Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to use the AWS Elastic Beanstalk Command Line Interface v2.5.1 on OSX to deploy a node.js application.

The beanstalk application exists, with no environments.

From my application directory, I run eb init. As prompted, I enter the Access Key ID, the Secret Access Key, choose a region, enter the existing application name, choose a new environment name (staging), choose LoadBalanced environment type, choose to create an RDS DB Instance, and then it prompts

Create an RDS BD Instance from (current value is "[No snapshot]"):
a float is required`

And the process exits. (it doesn't allow me to enter a value for the last prompt)

Any ideas on how to resolve this?

Are there any alternatives to the eb tool?

share|improve this question

1 Answer 1

I was getting this error when I was trying to deploy a Ruby application to the 64bit Amazon Linux 2014.03 v1.0.4.

Switching to the 64bit Amazon Linux 2014.03 v1.0.3 stack resolved the issue and I was able to crate the EB application.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.